/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License"); you may
 * not use this file except in compliance with the License. You may obtain a
 * copy of the License at
 *
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package nl.cloudfarming.client.fleet;

import java.awt.Image;
import java.awt.datatransfer.Transferable;
import javax.swing.Action;
import org.netbeans.api.project.Project;
import org.netbeans.spi.project.ui.support.NodeFactorySupport;
import org.openide.nodes.AbstractNode;
import org.openide.util.ImageUtilities;
import org.openide.util.NbBundle;
import org.openide.util.datatransfer.PasteType;

/**
 *
 * @author Wytse Visser & Maciek Dulkiewicz
 */
@NbBundle.Messages({"fleetNodeDisplayName=Fleet"})
final class FleetNode extends AbstractNode {

    private static final String FOLDER_PATH = "Projects/nl-cloudfarming-client-fleet/Nodes";
    private static final String ICON = "nl/cloudfarming/client/fleet/fleet.png";

    public FleetNode(Project project) {
        super(NodeFactorySupport.createCompositeChildren(project, FOLDER_PATH));
    }

    @Override
    public Action[] getActions(boolean context) {
        return new Action[]{};
    }

    @Override
    public String getDisplayName() {
        return Bundle.fleetNodeDisplayName();
    }

    @Override
    public Image getIcon(int type) {
        return ImageUtilities.loadImage(ICON);
    }

    @Override
    public Image getOpenedIcon(int type) {
        return getIcon(type);
    }

    @Override
    public PasteType getDropType(Transferable t, int action, int index) {
        return null;
    }
}
